Name: hp67
Summary: An ncurses-based HP-67 scientific calculator emulator 
Version: 1.4
Release: 1
Copyright: GPL
Group: Applications/Math
Source: ftp://sunsite.unc.edu/pub/Linux/apps/math/calc/hp67-1.4.tar.gz
Patch: hp67-1.4-for_egcs.patch
Packager: Anthony Y.P. Wong <ypwong@poboxes.com>
Buildroot: /tmp/hp67-root

%description 
This program emulates an HP-67 scientific calculator, (with a few minor
variations). A text mode interface is used, inputs can always be entered
from the keyboard. On terminals which support ncurses mouse events,
both the function list at the top of the screen, and the keypad on the
right side, are clickable to invoke the corresponding action. Written
by Christopher Neufeld, <neufeld@physics.utoronto.ca>


%prep
%setup -n hp67
%patch -p2

%build
make -f makefile hp67

%install
install -o root -g root -d $RPM_BUILD_ROOT/usr/bin
install -o root -g root -m755 -s hp67 $RPM_BUILD_ROOT/usr/bin/hp67
install -o root -g root -d $RPM_BUILD_ROOT/usr/man/man1
install -o root -g root -m644 hp67.1 $RPM_BUILD_ROOT/usr/man/man1/hp67.1

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc Changes Differences FAQL README TODO hp67.1.html hp67.lsm
%doc complex.txt hyperbolics.txt integrator.txt hp67.xpm
%doc /usr/man/man1/hp67.1
/usr/bin/hp67
